=== debian/changelog ===
geary (0.2.1-0ubuntu2) quantal-proposed; urgency=low

  * debian/control: 
    - Build-Depends on intltool so the .desktop is generated (lp: #1067356)
  * debian/patches/trunk_plain_auth_login.patch:
    - upstream fix for login issue with e.g yahoo

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Oct 2012 20:56:26 +0200

geary (0.2.1-0ubuntu1) quantal; urgency=low

  * New upstream bugfix version:
    - Save attachments FileChooserDialog now displays network mounts
    - Adds support for SMTP PLAIN authentication
    - Installs Italian translation (overlooked in 0.2.0)
    - Adds three new translations: Czech, Telugu, and Turkish
    - Preferences dialog and .desktop file now translated
    - Icon and desktop file cache updated after uninstall
    - Various translation fixes, including translations not being displayed

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Oct 2012 10:58:42 +0200

geary (0.2.0-0ubuntu2) quantal; urgency=low

  * debian/control: don't use libindicate, libmessaging-menu is enough

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 05 Oct 2012 18:56:30 +0200

geary (0.2.0-0ubuntu1) quantal; urgency=low

  * Initial release (lp: #1060468)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Oct 2012 23:46:25 +0200
