=== debian/control ===
Source: geary
Section: gnome
Priority: extra
Maintainer: Sebastien Bacher <seb128@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), 
               autotools-dev,
               cmake,
               intltool,
               libglib2.0-dev,
               libgtk-3-dev,
               libgee-dev,
               libgirepository1.0-dev,
               valac-0.18,
               libunique-3.0-dev,
               libcanberra-dev,
               libsqlite3-dev,
               libgmime-2.6-dev,
               libgnome-keyring-dev,
               libwebkitgtk-3.0-dev,
               libpcre3-dev,
               libnotify-dev,
               libunity-dev,
               libmessaging-menu-dev
Standards-Version: 3.9.3
Homepage: http://www.yorba.org/geary

Package: geary
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: email client
 Geary is an email client built for the GNOME desktop environment.  It
 allows you to read and write email with a simple, modern interface.
