=== debian/watch ===
version=3
  http://yorba.org/download/geary/stable/geary-(.*)\.tar\.xz
