## geary 0.2.2

=== debian/changelog ===
geary (0.2.2-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/patches/trunk_plain_auth_login.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 15 Nov 2012 11:20:31 +1300
