## geary 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #
 set(GETTEXT_PACKAGE "geary")
 set(RELEASE_NAME "Lightweight email client for GNOME.")
-set(VERSION "0.2.1")
+set(VERSION "0.3.1")
 set(VERSION_INFO "Release")
 set(LANGUAGE_SUPPORT_DIRECTORY ${CMAKE_INSTALL_PREFIX}/share/locale)
 
@@ -24,8 +24,9 @@
 set(ARCHIVE_FULL_NAME ${ARCHIVE_BASE_NAME}.tar.xz)
 set(ARCHIVE_DEBUILD_FULL_NAME ${CMAKE_PROJECT_NAME}_${VERSION}.orig.tar.xz)
 
-set(GLADE_FILES ui/composer.glade ui/login.glade ui/message.glade ui/password-dialog.glade
-    ui/preferences.glade ui/toolbar.glade)
+set(GLADE_FILES ui/account_list.glade ui/account_cannot_remove.glade ui/account_spinner.glade
+    ui/composer.glade ui/login.glade ui/message.glade ui/password-dialog.glade ui/preferences.glade
+    ui/remove_confirm.glade ui/toolbar.glade)
 
 option(DEBUG "Build for debugging." OFF)
 option(ICON_UPDATE "Run gtk-update-icon-cache after the install." ON)
@@ -47,7 +48,6 @@
 pkg_check_modules(LIBINDICATE QUIET indicate-0.7>=0.6.1)
 pkg_check_modules(LIBUNITY QUIET unity>=5.12.0)
 pkg_check_modules(LIBMESSAGINGMENU QUIET messaging-menu>=12.10.2)
-pkg_check_modules(LIBGRANITE QUIET granite>=0.1.5)
 
 # intl
 include(Gettext)
