=== debian/changelog ===
geary (0.3.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix version:
    - Reduced CPU and memory footprint
    - Account dialog bugs fixed
    - Stability improvements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Apr 2013 10:57:25 +0200

geary (0.3.0-0ubuntu1) raring; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 22 Mar 2013 16:49:10 +0100

geary (0.3.0~pr1-0ubuntu1) raring; urgency=low

  * New upstream version (FFE lp: #1154316), supports multiple account as
    well as full conversation views with inline replies

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 14 Mar 2013 13:48:23 +0100
