=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libnotify-dev,
                libunity-dev,
                libmessaging-menu-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.yorba.org/geary
 
 Package: geary
