## geary 0.4.0

=== debian/changelog ===
geary (0.4.0-0ubuntu1) saucy; urgency=low

  * New stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 Oct 2013 17:40:37 +0200

geary (0.4.0~pr2-0ubuntu1) saucy; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 24 Sep 2013 16:09:06 +0200

geary (0.4.0~pr1-0ubuntu2) saucy; urgency=low

  * debian/contro: build-depends on desktop-file-utils, not on libindicate

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Aug 2013 13:48:23 +0200

geary (0.4.0~pr1-0ubuntu1) saucy; urgency=low

  * New upstream beta version
  * debian/control: updated build-depends for new version requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2013 11:26:42 +0200

geary (0.3.1-1ubuntu2) saucy; urgency=low

  * Build with default vala (Closes: #711395)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Aug 2013 16:24:57 -0400

geary (0.3.1-1ubuntu1) saucy; urgency=low

  * Rebase on Debian, remaining ubuntu differences:
  * debian/control: build-depends on libmessaging-menu-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 03 May 2013 11:39:39 -0700

geary (0.3.1-1) experimental; urgency=low

  * New upstream release (Closes: #703953).
  * Update debian/copyright file.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 28 Apr 2013 14:12:19 +0200

geary (0.2.2-1) experimental; urgency=low

  * Initial release (Closes: #671857).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 12 Jan 2013 12:31:09 +0100
