=== debian/changelog ===
geary (0.4.1-0ubuntu0.1) saucy; urgency=low

  * New upstream version (lp: #1259664)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Dec 2013 20:35:37 +0100
